Subject: Re: sshd: setgid() fails on second login
From: David Means <[email-masked]>
To: [email-masked]
Date: 21 Dec 2002 09:28:44 -0500

Hum... I should have known.  A reboot fixed the problem.  I suppose that
what I get for being a Unix geek: you don't _have_ to reboot a unix
system to fix broken stuff. (unless it's really broken, like disks, etc,
etc).

On Wed, 2002-12-18 at 13:50, [email-masked] wrote:

> I've recently installed cygwin version 1.3.17.
> 
> When I attempt to ssh to the cygwin host more than once, with the
> first connection still active, I get the error message
> 'setgid: invalid argument' , and then I'm disconnected.
> 
> Below is an example of the problem.  The first 'ssh localhost' is
> sucessful (which indicates to me that setgid() succeeded), but
> the second 'ssh localhost' fails.
> 
> This problem is reproducable regardless of the client (localhost
> or remote) or the authentication method (keys vs. passwords), or
> any mixture there of.  In other words, if I'm logged in once via
> ssh, then I cannot log in again via ssh.
> 
> I've searched the web and the archives for clues, but I'm coming up
> empty.
> 
> Thanks,
> 
> David
> 
> --
> 
> 
> Example:
> 
> [ /home/dmeans ]
> dmeans@raptor
> 2$ ssh localhost
> Last login: Wed Dec 18 13:22:08 2002 from raptor
> Fanfare!!!
> You are successfully logged in to this server!!!
> 
> [ /home/dmeans ]
> dmeans@raptor
> 10$ ssh localhost
> Last login: Wed Dec 18 13:23:31 2002 from raptor
> Fanfare!!!
> You are successfully logged in to this server!!!
> setgid: Invalid argument
> Connection to localhost closed.
> 
> [ /home/dmeans ]
> dmeans@raptor
> 11$
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
David Means

No trees were killed in the sending of this message. However,
a large number of electrons were terribly inconvenienced.